#! /usr/bin/python
# -*- coding: utf-8 -*-

#/** 
 #* Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 #* 
 #* Based on code from ./cinnamon-settings/cs_user_warning.py in xorg-server. 
 #* Copyright (c) 1997-2003 by The XFree86 Project, Inc.
 #* 
 #* This software is published by the license of CPU-OS License, you can use and 
 #* distibuted this software under this License. See CPU-OS Liense for more detail.
 #*
 #* You should have receive a copy of CPU-OS License. If not, please contact us 
 #* by email <support_os@cpu-os.ac.cn>  
 #* 
 #**/

import os
import sys
import gtk
import pygtk
import gettext

# i18n
gettext.bindtextdomain("cdos-desktop", "/usr/share/cdos-de/locale")
gettext.textdomain("cdos-desktop")
_ = gettext.gettext

try:
    message = gtk.MessageDialog(type=gtk.MESSAGE_WARNING, buttons=gtk.BUTTONS_OK)
    message.set_markup(_("Read only, no permission to modify!"))
    message.run()
    sys.exit(1)

except KeyboardInterrupt:
    print "Interrupt, quit!"
    sys.exit(1)

